#! /home/avl/VR/Apps/ParaView/ParaView-v4.0.1-source/Build/bin/pvbatch
from paraview.simple import *
servermanager.LoadState("arrowspheredatai.pvsm")
SetActiveView(GetRenderView())
view = GetActiveView()
scene = GetAnimationScene()
PythonAnimationCue1 = PythonAnimationCue()
PythonAnimationCue1.Script= """
def start_cue(self):
   print 'Animation starting'
   print 'NumberOfFrames = ' + str(scene.NumberOfFrames)
   print 'FramesPerTimestep = ' + str(scene.FramesPerTimestep)
   print 'PlayMode = ' + str(scene.PlayMode)
   print 'StartTime = ' + str(scene.StartTime)
   print 'EndTime = ' + str(scene.EndTime)
   print 'Duration = ' + str(scene.Duration)

def tick(self):

   #i = (scene.TimeKeeper.Time) + 5.0
   i = (scene.TimeKeeper.Time)
   print "time is " + str(i)

   view.ViewTime = i
   scene.AnimationTime = int(i)
   Render()

def end_cue(self):
   print 'Animation ending'
"""
scene.Cues.append(PythonAnimationCue1)
# Make some tweaks to the visualization
sphere=FindSource('Sphere1')
sphere.PhiResolution=10
sphere.ThetaResolution=10
# Setup the rendering parameters
scene.NumberOfFrames=30
scene.StartTime=5
#scene.Duration=4
#scene.LockStartTime=1
#scene.LockEndTime=1
view.ViewSize = [960,540]
view.StereoRender = 1
view.StereoType = "Left"
view.UseOffscreenRendering = 1
# NOTE: using the vtkSMAnimationSceneImageWriter method directly because
#   the paraview.simple WriteAnimation() method does not live up to it's
#   own documentation -- it is missing the "SetStartFileCount()" and
#   "SetPlaybackTimeWindow()" methods!
# NOTE: also -- the playback time window doesn't affect animation cues
#   including camera moves -- only affects data-time
iw = servermanager.vtkSMAnimationSceneImageWriter()
iw.SetAnimationScene(scene.SMProxy)
iw.SetFileName("Frames/file.png")
iw.SetStartFileCount(5)
iw.SetPlaybackTimeWindow(5, 6)
iw.Save()
#WriteAnimation("Frames/as_anim_L.png")
#view.StereoType = "Right"
#view.UseOffscreenRendering = 1
#WriteAnimation("Frames/as_anim_R.png")

